### Method

# Gdk.ContentFormats.get_gtypes

#### Declaration [src]

    const GType*
    gdk_content_formats_get_gtypes (
      const GdkContentFormats* formats,
      gsize* n_gtypes
    )

#### Description [src]

Gets the `GTypes` included in `formats`.

Note that `formats` may not contain any `GTypes`, in particular when they are empty. In that case `NULL` will be returned.

#### Parameters

`n_gtypes` | `gsize*`
| optional pointer to take the number of `GTypes` contained in the return value
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `GType`
     `G_TYPE_INVALID`-terminated array of types included in `formats` or
     `NULL` if none.
| The array must be `NULL` terminated
| The length of the array is in the `n_gtypes` argument
Ownership is not transferred to the caller
Can be `NULL`